<h1>ng-if</h1>
<input type="text" [value]="pokemonName" (input)="handleChange($event)" />

<!-- <div *ngIf="!pokemonName">No search results found...</div> -->

<ng-container
  *ngIf="pokemonName.length; then pokemonList; else noPokemon"
></ng-container>

<ng-template #pokemonList>
  <h3>All pokemon available</h3>
  <p>{{ pokemonName }}</p>
</ng-template>

<ng-template #noPokemon>
  <h3>No pokemon available</h3>
</ng-template>
